Subject: Re: powerpc virq: new routine virq_to_hw

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 28 Aug 2006 11:22:19 +1000

On Fri, 2006-08-25 at 16:02 -0700, Geoff Levand wrote:
> Ben,
> 
> Please consider this accessor routine which hides the details
> of the map.
> 
> Signed-off-by: Geoff Levand <[email-masked]>
> 
> ---
> Index: cell--common--4/include/asm-powerpc/irq.h
> ===================================================================
> --- cell--common--4.orig/include/asm-powerpc/irq.h
> +++ cell--common--4/include/asm-powerpc/irq.h
> @@ -136,6 +136,11 @@
>  
>  extern struct irq_map_entry irq_map[NR_IRQS];
>  
> +static inline irq_hw_number_t
> +virq_to_hw (unsigned int virq)
> +{
> +	return irq_map[virq].hwirq;
> +}

I'd much prefer:

static inline irq_hw_number_t virq_to_hw (unsigned int virq)
{
	return irq_map[virq].hwirq;
}

I've grown to dislike the CR between the return type and the function
name (I used to do that too) and it seems that this opinion is shared by
Linus (there was an old thread on lkml about it).

Cheers,
Ben.